<?xml version="1.0" standalone="no" ?>

<!--  MIPS Register Configuration File -->
<CPU type="MIPS32" family="MIPS" immr="true" description="this is the MIPS register configration file"> 
    <Group name="GPR" description="General Purpose Registers list" id="0" modemask="0xff0000">
        <Register name="r0" alias="zero" memorymap="false" id="0xff0000" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="zero,R0" signed="false" />
        <Register name="r1" alias="at" memorymap="false" id="0xff0001" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="AT,R1" signed="false" />
        <Register name="r2" alias="v0" memorymap="false" id="0xff0002" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="v0,R2" signed="false" />
        <Register name="r3" alias="v1" memorymap="false" id="0xff0003" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="v1,R3" signed="false" />
        <Register name="r4" alias="a0" memorymap="false" id="0xff0004" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="a0,R4" signed="false" />
        <Register name="r5" alias="a1" memorymap="false" id="0xff0005" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="a1,R5" signed="false" />
        <Register name="r6" alias="a2" memorymap="false" id="0xff0006" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="a2,R6" signed="false" />
        <Register name="r7" alias="a3" memorymap="false" id="0xff0007" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="a3,R7" signed="false" />
        <Register name="r8" alias="t0" memorymap="false" id="0xff0008" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t0,R8" signed="false" />
        <Register name="r9" alias="t1" memorymap="false" id="0xff0009" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t1,R9" signed="false" />
        <Register name="r10" alias="t2" memorymap="false" id="0xff000a" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t2,R10" signed="false" />
        <Register name="r11" alias="t3" memorymap="false" id="0xff000b" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t3,R11" signed="false" />
        <Register name="r12" alias="t4" memorymap="false" id="0xff000c" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t4,R12" signed="false" />
        <Register name="r13" alias="t5" memorymap="false" id="0xff000d" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t5,R13" signed="false" />
        <Register name="r14" alias="t6" memorymap="false" id="0xff000e" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t6,R14" signed="false" />
        <Register name="r15" alias="t7" memorymap="false" id="0xff000f" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t7,R15" signed="false" />
        <Register name="r16" alias="s0" memorymap="false" id="0xff0010" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="s0,R16" signed="false" />
        <Register name="r17" alias="s1" memorymap="false" id="0xff0011" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="s1,R17" signed="false" />
        <Register name="r18" alias="s2" memorymap="false" id="0xff0012" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="s2,R18" signed="false" />
        <Register name="r19" alias="s3" memorymap="false" id="0xff0013" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="s3,R19" signed="false" />
        <Register name="r20" alias="s4" memorymap="false" id="0xff0014" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="s4,R20" signed="false" />
        <Register name="r21" alias="s5" memorymap="false" id="0xff0015" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="s5,R21" signed="false" />
        <Register name="r22" alias="s6" memorymap="false" id="0xff0016" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="s6,R22" signed="false" />
        <Register name="r23" alias="s7" memorymap="false" id="0xff0017" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="s7,R23" signed="false" />
        <Register name="r24" alias="t8" memorymap="false" id="0xff0018" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t8,R24" signed="false" />
        <Register name="r25" alias="t9" memorymap="false" id="0xff0019" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="t9,R25" signed="false" />
        <Register name="r26" alias="k0" memorymap="false" id="0xff001a" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="k0,R26" signed="false" />
        <Register name="r27" alias="k1" memorymap="false" id="0xff001b" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="k1,R27" signed="false" />
        <Register name="r28" alias="gp" memorymap="false" id="0xff001c" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="gp,R28" signed="false" />
        <Register name="r29" alias="sp" memorymap="false" id="0xff001d" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="sp,R29" signed="false" />
        <Register name="r30" alias="s8" memorymap="false" id="0xff001e" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="fp,R30" signed="false" />
        <Register name="r31" alias="ra" memorymap="false" id="0xff001f" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="ra,R31" signed="false" />
        <Register name="lo" memorymap="false" id="0xff0021" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="lo in the Mul/Divide" signed="false" />
        <Register name="hi" memorymap="false" id="0xff0022" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="hi in the Mul/Divide" signed="false" />
        <Register name="pc" memorymap="false" id="0xff0025" bytes="4" width="32" unused="0xFFFFFFFF" bitable="false" rdable="true" wrable="true" description="Program Count" signed="false" />
    </Group>

</CPU>
